{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:player_head",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "enchantments": {
                  "overly_realistic:or_internal_green_coconut": 1
                },
                "enchantment_glint_override": false,
                "rarity": "common",
                "tooltip_display": {
                  "hidden_components": [
                    "enchantments"
                  ]
                },
                "profile": {
                  "id": [
                    -154600686,
                    -236895528,
                    -2108067566,
                    1633629318
                  ],
                  "properties": [
                    {
                      "name": "textures",
                      "value": "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNzMxNTIyNWU1ZDhjMjljMWU1ODNiMTY2ZDE5Y2RjYWYwYjllMzgyZWNmMTQ3ZDVjYzRjMTYxNDcyYTk2YWY4In19fQ=="
                    }
                  ]
                },
                "item_model": "overlyrealistic:items/foods/coconuts/green_coconut",
                "minecraft:item_name": {
                  "translate": "item.overlyrealistic.green_coconut",
                  "fallback": "Green Coconut",
                  "color": "white"
                },
                "custom_data": {
                  "or_is_food": true,
                  "or_food_type": "green_coconut",
                  "or_food_category": "coconut",
                  "or_food_sub_category": "cooconut_from_tree",
                  "or_food_rawness_type": "raw"
                },
                "max_damage": 10000,
                "damage": 1,
                "max_stack_size": 1,
                "minecraft:food": {
                  "nutrition": 5,
                  "saturation": 3,
                  "can_always_eat": true
                },
                "minecraft:consumable": {
                  "sound": "minecraft:entity.generic.eat",
                  "has_consume_particles": false
                },
                "!equippable": {}
              }
            },
            {
              "function": "reference",
              "name": "overly_realistic:item_edit/special_item_edit/food_modifier/natural_spoil_2"
            }
          ]
        }
      ]
    }
  ]
}